Package com.google.android.exoplayer2.metadata.scte35

## Class SpliceInsertCommand.ComponentSplice

- java.lang.Object
- - com.google.android.exoplayer2.metadata.scte35.SpliceInsertCommand.ComponentSplice

- Enclosing class:
    SpliceInsertCommand

      public static final class SpliceInsertCommand.ComponentSplice
      extends Object

  Holds splicing information for specific splice insert command components.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `componentSplicePlaybackPositionUs` |
    `long` | `componentSplicePts` |
    `int` | `componentTag` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SpliceInsertCommand.ComponentSplice` | `createFromParcel​(Parcel in)` |
    `void` | `writeToParcel​(Parcel dest)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### componentTag

          public final int componentTag

    - #### componentSplicePts

          public final long componentSplicePts

    - #### componentSplicePlaybackPositionUs

          public final long componentSplicePlaybackPositionUs

  - ### Method Detail

    - #### writeToParcel

          public void writeToParcel​(Parcel dest)

    - #### createFromParcel

          public static SpliceInsertCommand.ComponentSplice createFromParcel​(Parcel in)